using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Menu_Menu_Menu
{
    public class Strings
    {
        public Map map;

        public string[] stringsList;
        public long[] offsetsList;

        public Strings(Map map, BinaryReader br)
        {
            this.map = map;

            stringsList = new string[map.header.stringCount];
            offsetsList = new long[map.header.stringCount];

            br.BaseStream.Position = map.header.stringsIndex;
            //gather the offsets
            for (int x = 0; x < map.header.stringCount; x++)
                offsetsList[x] = map.header.stringsOffset + br.ReadInt32();

            br.BaseStream.Position = map.header.stringsOffset;
            char chr;
            //and gather the strings
            for (int x = 0; x < map.header.stringCount; x++)
            {
                stringsList[x] = "";
                while ((chr = br.ReadChar()) != '\0')
                    stringsList[x] += chr;
            }
        }
    }
}
